"""This module is a collection of project-wide exceptions."""


class NotFoundException(Exception):
    """Raised when a resource was unexpectedly not found."""

    pass


class DataIntegrityException(Exception):
    """Raised to prevent a semantically invalid database operation."""

    pass


class InvalidFilterParameterException(Exception):
    """Raised when a query filter parameter is invalid."""

    pass
